# TabulatedFunction Class Reference

A TabulatedFunction uses a set of tabulated values to define a mathematical function. More...

Inheritance diagram for TabulatedFunction:

List of all members.

## Public Member Functions
def | __init__
def | __del__
| __del__(OpenMM.TabulatedFunction self)
def | Copy
| Copy(TabulatedFunction self) -> TabulatedFunction.

## Detailed Description

A TabulatedFunction uses a set of tabulated values to define a mathematical function.

It can be used by various custom forces.

TabulatedFunction is an abstract class with concrete subclasses for more specific types of functions. There are subclasses for:

- 1, 2, and 3 dimensional functions. The dimensionality of a function means the number of input arguments it takes.

- Continuous and discrete functions. A continuous function is interpolated by fitting a natural cubic spline to the tabulated values. A discrete function is only defined for integer values of its arguments (that is, at the tabulated points), and does not try to interpolate between them. Discrete function can be evaluated more quickly than continuous ones.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.TabulatedFunction self)

Reimplemented in Discrete3DFunction, Continuous3DFunction, Continuous1DFunction, Continuous2DFunction, Discrete2DFunction, and Discrete1DFunction.

def __init__ | ( |  | self,
|  |  | args,
|  |  | kwargs |
| ) |  |  |

def Copy | ( |  | self | ) |

Copy(TabulatedFunction self) -> TabulatedFunction.

Reimplemented in Discrete3DFunction, Continuous3DFunction, Continuous1DFunction, Continuous2DFunction, Discrete2DFunction, and Discrete1DFunction.

The documentation for this class was generated from the following file:

- openmm.py